<?php require_once 'config.php';
/* 
AssetTrackDB Copyright (C) 2013  Tyler Krehbiel (tylerk@gmail.com) 

This file is part of AssetTrackDB. 

AssetTrackDB is free software: you can redistribute it and/or modify 
it under the terms of the GNU General Public License as published by 
the Free Software Foundation, either version 3 of the License, or 
(at your option) any later version. 

AssetTrackDB is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
GNU General Public License for more details. 

You should have received a copy of the GNU General Public License 
along with AssetTrackDB.  If not, see <http://www.gnu.org/licenses/>. 
*/ 

echo "<html>"; 
echo "<head><title>AssetTrackDB - Buildings</title>"; 
echo "<link rel='stylesheet' type='text/css' href='mystyle.css' />"; 
echo '<link rel="icon" href="favicon.ico" type="image/x-icon">'; 
echo "</head>";
echo "<body>"; 

//--START Menu Code and PULL PHP 
include 'includes/menu.php';
include 'includes/pull.php'; 
include 'includes/lmenu.php';
//--END Menu Code--





//Disallow Read-Only Users Access to this page 
if($rostate==1) 
    {  
           echo "<center><div id=err>Read Only User: You do not have access to this page</div></center>"; 
    } 
else { 


$name = ''; 

//init action 
if(!empty($_POST["action"])) { 
        $action = $_POST["action"]; 
        if(!empty($_POST["name"])) { 
          $name = trim($_POST["name"]); 
        } 
        } 
else 
{ 
    $action = ''; 
} 

if($action == "Delete") { 
    $query1 = mysqli_query($_SESSION["link"], "DELETE FROM building WHERE name='$name'"); 
    echo "<center><br>"; 
    echo "<table cellpadding=5 border=0><tr><td class=red>"; 
     
    echo "<div id=dcs>Building "; echo $name; echo " Deleted</div>"; 
     
    echo "</td></tr></table>"; 
     
} 
elseif($action == "Add") { 
        if($name == "") { 
            echo "<br><div id=err>Building Name Cannot be Blank</div>"; 
        } 
        else{ 
         
         
            $q1 = mysqli_query($_SESSION["link"], "SELECT * FROM building WHERE name = '$name'"); 
            $rows = mysqli_num_rows($q1); 
             
            if ($rows > '0'){ 
             
            echo "<center><br>"; 
            echo "<table cellpadding=5 border=0><tr><td class=red>"; 
            echo "<div id=dcs>Building with name "; echo "<span id=dcsb>"; echo $name; echo "</span>"; echo " already exists! Not Added!</div>"; 
            echo "</td></tr></table>"; 
             
            } 
            else{ 
         
            $query1 = mysqli_query($_SESSION["link"], "INSERT INTO building (name) VALUES('$name')"); 
             
            echo "<center><br>"; 
            echo "<table cellpadding=5 border=0><tr><td class=red>"; 
            echo "<div id=dcs>Building "; echo $name; echo " Added</div>"; 
            echo "</td></tr></table>"; 
             
            } 
             
        } 
} 
elseif($action == "Update") { 
           if($name == "") { 
                echo "<br><div id=err>Building Name Cannot be Blank</div>"; 
            } 
     else { 
               $up = trim($_POST["up"]); 
               $q2 = mysqli_query($_SESSION["link"], "SELECT * FROM building WHERE name = '$up'"); 
               $rows1 = mysqli_num_rows($q2); 
                
                
               if ($rows1 > '0'){ 
                  
                 echo "<center><br>"; 
                 echo "<table cellpadding=5 border=0><tr><td class=red>"; 
                 echo "<span id=dcs>Building: </span>"; echo "<span id=dcsb>"; echo $up; echo "</span><span id=dcs> already exists. Not Updated!</span>"; 
                  
                 echo "</td></tr></table>"; 
                
               } 
               else{ 
                 $query1 = mysqli_query($_SESSION["link"], "UPDATE  building SET name='$up' WHERE name='$name'"); 
                 echo "<center>"; 
                 echo "<table cellpadding=5 border=0><tr><td class=red>"; 
                  
                 echo "<div id=dcs>Building: </div>"; echo "<div id=dcsb>"; echo $name; echo "</div><div id=dcs>Updated to: </div><div id=dcsb>"; echo $up; echo "</div>"; 
                  
                 echo "</td></tr></table>"; 
               } 
     } 
} 




echo "<center><h3>Add Building</h3></center>"; 
echo "<form action='editbuilding.php' method='post' name='form1'>"; 
echo "<table style='width: 250; text-align: left; margin-left: auto; margin-right: auto;' border='0' cellpadding='2' cellspacing='2'>"; 
echo "<tbody>"; 
echo "<tr>"; 
echo "<td style='text-align: center; background-color: #8A98F3;'><b>Building:</b></td>"; 
echo "<td><input type='text' name='name' /></td>"; 
echo "</tr>"; 
echo "</table><br>"; 
echo "<center><input type='submit' value='Add' name='action' class='fancybutton'></center>"; 
echo "</form>"; 

//LIST CURRENT PEOPLE: 
$result1 = mysqli_query($_SESSION["link"], "SELECT * FROM building ORDER BY name ASC") or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false)));

echo "<br><br>"; 
echo "<center><h3>Manage Buildings</h3></center>"; 



echo "<form action='editbuilding.php' method='post' name='form2'>"; 
echo "<table  class='sortable' style='width: 300; text-align: left; margin-left: auto; margin-right: auto;' border='0' cellpadding='2' cellspacing='2'>"; 
echo "<th class=std>Building</th><th class=std>Select</th>"; 

while($row = mysqli_fetch_array( $result1 )) { 
    echo "<tr><td>"; 
    echo $row['name']; 
    echo "</td><td>"; 
    echo "<input type='radio' name='name' value='"; 
    echo $row['name']; 
    echo "'>"; 
    echo "</td><td>"; 
    echo "</td></tr>"; 
} 
    echo "</table>"; 
    echo "<center><table border=0 cellpadding=7><tr><td>";
    echo "<input type='textbox' name='up'></input></td><td><input type='submit' value='Update' name='action' class='fancybuttonR'></input>";
    echo "</td></tr><tr><td colspan=2>"; 
    echo "<center><input type='submit' value='Delete' name='action' class='fancybuttonR'></input>"; 
    echo "</td></tr></center></table>"; 
}

echo "</form>";


include 'includes/lfooter.php';

echo '</center></center>';
include 'includes/userinfo.php';

echo "</body>";
echo "</html>"; 
?>