<?php require_once 'config.php';
/* 
AssetTrackDB Copyright (C) 2015  Tyler Krehbiel (tylerk@gmail.com) 

This file is part of AssetTrackDB. 

AssetTrackDB is free software: you can redistribute it and/or modify 
it under the terms of the GNU General Public License as published by 
the Free Software Foundation, either version 3 of the License, or 
(at your option) any later version. 

AssetTrackDB is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
GNU General Public License for more details. 

You should have received a copy of the GNU General Public License 
along with AssetTrackDB.  If not, see <http://www.gnu.org/licenses/>. 
*/ 

echo "<html>"; 
echo "<head><title>AssetTrackDB - MLS</title>"; 
echo "<link rel='stylesheet' type='text/css' href='mystyle.css' />"; 
echo '<link rel="icon" href="favicon.ico" type="image/x-icon">'; 
echo "</head>"; 
echo "<body>"; 

//--START Menu Code and PULL PHP
include 'includes/menu.php';
include 'includes/pull.php';
include 'includes/lmenu.php';
//--END Menu Code--

//Disallow Read-Only Users Access to this page
if($rostate==1) 
    {  
        echo "<center><div id=err>Read Only User: You do not have access to this page</div></center>"; 
    } 
else { 

if(!empty($_GET["select"])) { 
        $select = $_GET["select"]; 
        $query1 = mysqli_query($_SESSION["link"], "DELETE FROM multisearch WHERE f_name='$select'"); 
        echo "<br><div id=dcs>Multi-Layer Search: "; echo $select; echo " Deleted!</div>";
} 


if(!empty($_GET["f_name"])) { 

    if(!empty($_GET["msn"])) { 
     $msn = $_GET["msn"]; 
     $f_name = $_GET["f_name"]; 
  

     if ($msn == '2'){ 
           $t1 = $_GET["t1"]; 
           $t2 = $_GET["t2"]; 
           $s1 = $_GET["s1"]; 
           $s2 = $_GET["s2"]; 
           $con1 = $_GET["con1"];      //URL BASED METHOD 
           mysqli_query($_SESSION["link"], "INSERT INTO multisearch (f_name, msn, t1, t2, s1, s2, con1) VALUES('$f_name','$msn','$t1','$t2','$s1','$s2','$con1')") or $mysql_error = 1; 
           echo "<br><div id=dcs>Two Layer Search: "; echo $f_name; echo " Added.</div>"; 
     } 
     elseif($msn == '3'){ 
           $t1 = $_GET["t1"]; 
           $t2 = $_GET["t2"]; 
           $t3 = $_GET["t3"]; 
           $s1 = $_GET["s1"]; 
           $s2 = $_GET["s2"]; 
           $s3 = $_GET["s3"]; 
           $con1 = $_GET["con1"]; 
           $con2 = $_GET["con2"];     
           mysqli_query($_SESSION["link"], "INSERT INTO multisearch (f_name, msn, t1, t2, t3, s1, s2, s3, con1, con2) VALUES('$f_name','$msn','$t1','$t2','$t3','$s1','$s2','$s3','$con1','$con2')") or $mysql_error = 1; 
           echo "<br><div id=dcs>Three Layer Search: "; echo $f_name; echo " Added.</div>"; 
  } 
  elseif($msn == '4'){ 
        $t1 = $_GET["t1"]; 
        $t2 = $_GET["t2"]; 
        $t3 = $_GET["t3"]; 
        $t4 = $_GET["t4"]; 
        $s1 = $_GET["s1"]; 
        $s2 = $_GET["s2"]; 
        $s3 = $_GET["s3"]; 
        $s4 = $_GET["s4"]; 
            $con1 = $_GET["con1"]; 
        $con2 = $_GET["con2"]; 
        $con3 = $_GET["con3"];       
        mysqli_query($_SESSION["link"], "INSERT INTO multisearch (f_name, msn, t1, t2, t3, t4, s1, s2, s3, s4, con1, con2, con3) VALUES('$f_name','$msn','$t1','$t2','$t3','$t4','$s1','$s2','$s3','$s4','$con1','$con2','$con3')") or $mysql_error = 1; 
        echo "<br><div id=dcs>Four Layer Search: "; echo $f_name; echo " Added.</div>"; 
  }   
  } 
  } 



echo "<br><b>Note: </b>Wildcard searches are possible using % for the wildcard.<br><br><b>Example: </b> Set search to 2014-%%-%% on a Purchase Date search to find all assets purchased in 2014";

echo "<form action='mls.php' method='get' name='form1'>"; 
echo "<center><br><h3>Two Field Search</h3><table border=0 cellspacing=6><tr><td><b>Search Name:</b></td><td><input type='text' name='f_name' /></td>"; 
echo "</tr><tr>"; 
echo "<td><b>Field 1: </b></td><td><select name='t1'>"; 
echo "<option value='bar_code'>Bar Code</option>";
echo "<option value='custom1'>Custom 1</option>";
echo "<option value='custom2'>Custom 2</option>";
echo "<option value='name'>Name</option>";
echo "<option value='serial'>Serial</option>";
echo "<option value='model'>Model</option>";
echo "<option value='brand'>Brand</option>";
echo "<option value='owner'>Owner</option>";
echo "<option value='form'>Form</option>";
echo "<option value='use1'>Use</option>";
echo "<option value='os'>OS</option>";
echo "<option value='co_status'>CO Status</option>";

echo "<option value='pdate'>Purchase Date xxxx-xx-xx</option>";
echo"<option value='track.user'>CO User</option>";
echo "</select></td>"; 
echo "<td>Term 1: </td><td><input type='text' name='s1' /></td>";
echo "</tr><tr>"; 
echo "<td></td><td><select name='con1'>"; 
echo "<option value='AND'>AND</option>"; 
echo "<option value='OR'>OR</option>"; 
echo "</select></td><td></td>"; 
echo "</tr><tr>"; 
echo "<td><b>Field 2: </b></td><td><select name='t2'>"; 
echo "<option value='bar_code'>Bar Code</option>";
echo "<option value='custom1'>Custom 1</option>";
echo "<option value='custom2'>Custom 2</option>";  
echo "<option value='name'>Name</option>"; 
echo "<option value='serial'>Serial</option>"; 
echo "<option value='model'>Model</option>"; 
echo "<option value='brand'>Brand</option>"; 
echo "<option value='owner'>Owner</option>"; 
echo "<option value='form'>Form</option>"; 
echo "<option value='use1'>Use</option>"; 
 
echo "<option value='os'>OS</option>"; 
echo "<option value='co_status'>CO Status</option>";

echo "<option value='pdate'>Purchase Date xxxx-xx-xx</option>";
echo"<option value='track.user'>CO User</option>";
echo "</select></td>"; 
echo "<td>Term 2: </td><td><input type='text' name='s2' /></td>"; 
echo '<input type="hidden" name="msn" value="2">'; 
echo "</tr><tr><td><input type='submit' value='submit' name='submit' class='fancybutton'></td>"; 
echo "</tr></table>"; 
echo "</form>"; 
// END 2 LAYER SECTION 

//3 LAYER SECTION 
echo "<br><hr width=400px>"; 
echo "<form action='mls.php' method='get' name='form2'>"; 
echo "<center><h3>Three Field Search</h3><table border=0 cellspacing=6><tr><td><b>Search Name:</b></td><td><input type='text' name='f_name' /></td>"; 
echo "</tr><tr>"; 
echo "<td><b>Field 1: </b></td><td><select name='t1'>"; 
echo "<option value='bar_code'>Bar Code</option>";
echo "<option value='custom1'>Custom 1</option>";
echo "<option value='custom2'>Custom 2</option>";  
echo "<option value='name'>Name</option>"; 
echo "<option value='serial'>Serial</option>"; 
echo "<option value='model'>Model</option>"; 
echo "<option value='brand'>Brand</option>"; 
echo "<option value='owner'>Owner</option>"; 
echo "<option value='form'>Form</option>"; 
echo "<option value='use1'>Use</option>"; 
 
echo "<option value='os'>OS</option>"; 
echo "<option value='co_status'>CO Status</option>";

echo "<option value='pdate'>Purchase Date xxxx-xx-xx</option>";
echo"<option value='track.user'>CO User</option>";
echo "</select></td>"; 
echo "<td>Term 1: </td><td><input type='text' name='s1' /></td>"; 
echo "</tr><tr>"; 
echo "<td></td><td><select name='con1'>"; 
echo "<option value='AND'>AND</option>"; 
echo "<option value='OR'>OR</option>"; 
echo "</select></td><td></td>"; 
echo "</tr><tr>"; 
echo "<td><b>Field 2: </b></td><td><select name='t2'>"; 
echo "<option value='bar_code'>Bar Code</option>";
echo "<option value='custom1'>Custom 1</option>";
echo "<option value='custom2'>Custom 2</option>";  
echo "<option value='name'>Name</option>"; 
echo "<option value='serial'>Serial</option>"; 
echo "<option value='model'>Model</option>"; 
echo "<option value='brand'>Brand</option>"; 
echo "<option value='owner'>Owner</option>"; 
echo "<option value='form'>Form</option>"; 
echo "<option value='use1'>Use</option>"; 
 
echo "<option value='os'>OS</option>"; 
echo "<option value='co_status'>CO Status</option>";

echo "<option value='pdate'>Purchase Date xxxx-xx-xx</option>";
echo"<option value='track.user'>CO User</option>";
echo "</select></td>"; 
echo "<td>Term 2: </td><td><input type='text' name='s2' /></td>"; 
echo "</tr><tr>"; 
echo "<td></td><td><select name='con2'>"; 
echo "<option value='AND'>AND</option>"; 
echo "<option value='OR'>OR</option>"; 
echo "</select></td><td></td>"; 
echo "</tr><tr>"; 
echo "<td><b>Field 3: </b></td><td><select name='t3'>"; 
echo "<option value='bar_code'>Bar Code</option>";
echo "<option value='custom1'>Custom 1</option>";
echo "<option value='custom2'>Custom 2</option>";  
echo "<option value='name'>Name</option>"; 
echo "<option value='serial'>Serial</option>"; 
echo "<option value='model'>Model</option>"; 
echo "<option value='brand'>Brand</option>"; 
echo "<option value='owner'>Owner</option>"; 
echo "<option value='form'>Form</option>"; 
echo "<option value='use1'>Use</option>"; 
 
echo "<option value='os'>OS</option>"; 
echo "<option value='co_status'>CO Status</option>";

echo "<option value='pdate'>Purchase Date xxxx-xx-xx</option>";
echo"<option value='track.user'>CO User</option>";
echo "</select></td>"; 
echo "<td>Term 3: </td><td><input type='text' name='s3' /></td>"; 
echo '<input type="hidden" name="msn" value="3">'; 
echo "</tr><tr><td><input type='submit' value='submit' name='submit' class='fancybutton'></td>"; 


echo "</table>"; 
echo "</form>"; 
// END 3 LAYER SECTION 

//4 LAYER SECTION 
echo "<br><hr width=400px>"; 
echo "<form action='mls.php' method='get' name='form2'>"; 
echo "<center><h3>Four Field Search</h3><table border=0 cellspacing=6><tr><td><b>Search Name:</b></td><td><input type='text' name='f_name' /></td>"; 
echo "</tr><tr>"; 
echo "<td><b>Field 1: </b></td><td><select name='t1'>"; 
echo "<option value='bar_code'>Bar Code</option>";
echo "<option value='custom1'>Custom 1</option>";
echo "<option value='custom2'>Custom 2</option>";  
echo "<option value='name'>Name</option>"; 
echo "<option value='serial'>Serial</option>"; 
echo "<option value='model'>Model</option>"; 
echo "<option value='brand'>Brand</option>"; 
echo "<option value='owner'>Owner</option>"; 
echo "<option value='form'>Form</option>"; 
echo "<option value='use1'>Use</option>"; 
 
echo "<option value='os'>OS</option>"; 
echo "<option value='co_status'>CO Status</option>";

echo "<option value='pdate'>Purchase Date xxxx-xx-xx</option>";
echo"<option value='track.user'>CO User</option>";
echo "</select></td>"; 
echo "<td>Term 1: </td><td><input type='text' name='s1' /></td>"; 
echo "</tr><tr>"; 
echo "<td></td><td><select name='con1'>"; 
echo "<option value='AND'>AND</option>"; 
echo "<option value='OR'>OR</option>"; 
echo "</select></td><td></td>"; 
echo "</tr><tr>"; 
echo "<td><b>Field 2: </b></td><td><select name='t2'>"; 
echo "<option value='bar_code'>Bar Code</option>";
echo "<option value='custom1'>Custom 1</option>";
echo "<option value='custom2'>Custom 2</option>";  
echo "<option value='name'>Name</option>"; 
echo "<option value='serial'>Serial</option>"; 
echo "<option value='model'>Model</option>"; 
echo "<option value='brand'>Brand</option>"; 
echo "<option value='owner'>Owner</option>"; 
echo "<option value='form'>Form</option>"; 
echo "<option value='use1'>Use</option>"; 
 
echo "<option value='os'>OS</option>"; 
echo "<option value='co_status'>CO Status</option>";
 
echo "<option value='pdate'>Purchase Date xxxx-xx-xx</option>";
echo"<option value='track.user'>CO User</option>";
echo "</select></td>"; 
echo "<td>Term 2: </td><td><input type='text' name='s2' /></td>"; 
echo "</tr><tr>"; 
echo "<td></td><td><select name='con2'>"; 
echo "<option value='AND'>AND</option>"; 
echo "<option value='OR'>OR</option>"; 
echo "</select></td><td></td>"; 
echo "</tr><tr>"; 
echo "<td><b>Field 3: </b></td><td><select name='t3'>"; 
echo "<option value='bar_code'>Bar Code</option>";
echo "<option value='custom1'>Custom 1</option>";
echo "<option value='custom2'>Custom 2</option>";  
echo "<option value='name'>Name</option>"; 
echo "<option value='serial'>Serial</option>"; 
echo "<option value='model'>Model</option>"; 
echo "<option value='brand'>Brand</option>"; 
echo "<option value='owner'>Owner</option>"; 
echo "<option value='form'>Form</option>"; 
echo "<option value='use1'>Use</option>"; 
 
echo "<option value='os'>OS</option>"; 
echo "<option value='co_status'>CO Status</option>";

echo "<option value='pdate'>Purchase Date xxxx-xx-xx</option>";
echo"<option value='track.user'>CO User</option>";
echo "</select></td>"; 
echo "<td>Term 3: </td><td><input type='text' name='s3' /></td>"; 
echo "</tr><tr>"; 
echo "<td></td><td><select name='con3'>"; 
echo "<option value='AND'>AND</option>"; 
echo "<option value='OR'>OR</option>"; 
echo "</select></td><td></td>"; 
echo "</tr><tr>"; 
echo "<td><b>Field 4: </b></td><td><select name='t4'>"; 
echo "<option value='bar_code'>Bar Code</option>";
echo "<option value='custom1'>Custom 1</option>";
echo "<option value='custom2'>Custom 2</option>";  
echo "<option value='name'>Name</option>"; 
echo "<option value='serial'>Serial</option>"; 
echo "<option value='model'>Model</option>";
echo "<option value='brand'>Brand</option>"; 
echo "<option value='owner'>Owner</option>";
echo "<option value='form'>Form</option>"; 
echo "<option value='use1'>Use</option>"; 

echo "<option value='os'>OS</option>"; 
echo "<option value='co_status'>CO Status</option>";
echo "<option value='pdate'>Purchase Date xxxx-xx-xx</option>";
echo"<option value='track.user'>CO User</option>";
echo "</select></td>"; 
echo "<td>Term 4: </td><td><input type='text' name='s4' /></td>"; 
echo "</tr><tr>"; 


echo '<input type="hidden" name="msn" value="4">'; 
echo "</tr><tr><td><input type='submit' value='submit' name='submit' class='fancybutton'></td>"; 


echo "</table>"; 
echo "</form>"; 
// END 4 LAYER SECTION 


//DELETE SECTION
$result1 = mysqli_query($_SESSION["link"], "SELECT * FROM multisearch ORDER BY f_name ASC") or die(((is_object($_SESSION["link"])) ? mysqli_error($_SESSION["link"]) : (($___mysqli_res = mysqli_connect_error()) ? $___mysqli_res : false)));
echo "<br><hr width=400px>"; 
echo "<br><center><h3>Delete Multi-Layer Searches</h3></center>"; 

echo "<form action='mls.php' method='get' name='form2'>"; 
echo "<table  class='sortable' style='width: ; text-align: left; margin-left: auto; margin-right: auto;' border='0' cellpadding='2' cellspacing='0'>"; 
echo "<th class=std>Name</th><th class=std>Fields</th><th class=std><th class=std></th></th><th class=std></th><th class=std></th><th class=std><th class=std></th><th class=std></th><th class=std></th><th class=std></th></th><th class=std></th><th class=std></th><th class=std>Select</th>"; 
while($row = mysqli_fetch_array( $result1 )) { 
    $fields = $row['msn']; 
        echo "<tr><td class='bot'>"; 
    echo $row['f_name']; 
    echo "</td><td class='bot'>"; 
    echo $fields; 
    echo "</td><td class='bot'>"; 
    echo "("; 
    echo $row['t1']; 
    echo "</td><td class='bot'>"; 
    echo $row['s1']; 
    echo ")"; 
    echo "</td><td class='bot'>"; 
    echo "<b>"; 
    echo $row['con1']; 
    echo "</td><td class='bot'>"; 
    echo "("; 
    echo $row['t2']; 
    echo "</td><td class='bot'>"; 
    echo $row['s2']; 
    echo ")"; 
    echo "</td><td class='bot'>"; 
    echo "<b>"; 
    echo $row['con2']; 
    echo "</td><td class='bot'>"; 
    echo "("; 
    echo $row['t3']; 
    echo "</td><td class='bot'>"; 
    echo $row['s3']; 
    echo ")"; 
    echo "</td><td class='bot'>"; 
    echo "<b>"; 
    echo $row['con3']; 
    echo "</td><td class='bot'>";
    echo "("; 
    echo $row['t4']; 
    echo "</td><td class='bot'>"; 
    echo $row['s4']; 
    echo ")"; 
    echo "</td><td class='bot'>"; 
    echo "<input type='radio' name='select' value='"; 
    echo $row['f_name']; 
    echo "'>"; 
    echo "</td></tr>"; 
} 
echo "</table>"; 
echo "<center><input type='submit' value='Delete' class='fancybuttonR'></input></center>"; 
echo "</form>"; 





echo "</center>"; 

} 


include 'includes/lfooter.php';
echo '</center></center>';
include 'includes/userinfo.php';

echo "</body>";
echo "</html>"; 
?>